/*
 * Copyright (C) 2000-2002 ASANO Masahiro
 */

#include "def.h"

#define __KERNEL__
#include <xfs.h>
#include <linux/vfs.h>

void
prhead_xfs_vfs()
{
#if 1
	/* new style */
	mprintf(SPTR" "SPTR" "SPTR"\n", "ADDR", "BH-FIRST", "SUPER");
#else
	/* old fashion */
	mprintf(SPTR" BUSY BSIZE "SPTR" "SPTR"\n", "ADDR", "BH-FIRST", "SUPER");
#endif
}

addr_t
print_xfs_vfs(addr)
	addr_t addr;
{
	vfs_t vfs;

	memread(addr, sizeof(vfs), &vfs, "vfs_t");
	mprintf(FPTR " ", addr);

#if 1
#else
	/* old fashion */
	mprintf("%4x %5x ", vfs.vfs_busycnt, vfs.vfs_bsize);
#endif
	mprintf(FPTR " " FPTR "\n", vfs.vfs_bh.bh_first, vfs.vfs_super);
	return 0;
}
